Bug 1504804 (CVE-2017-15670) - CVE-2017-15670 glibc: Buffer overflow in glob with GLOB_TILDE
Summary: CVE-2017-15670 glibc: Buffer overflow in glob with GLOB_TILDE
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-15670
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20171019,repor...
Depends On: 1504807 1504809 1504810
Blocks: 1504815
TreeView+ depends on / blocked
 
Reported: 2017-10-20 16:47 UTC by Andrej Nemec
Modified: 2019-06-08 22:26 UTC (History)
22 users (show)

Fixed In Version: glibc 2.27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:29:45 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0805 None None None 2018-04-10 08:21:32 UTC
Sourceware 22320 None None None 2019-04-08 16:34:40 UTC
Red Hat Product Errata RHSA-2018:1879 None None None 2018-06-19 04:49:58 UTC

Description Andrej Nemec 2017-10-20 16:47:35 UTC
A buffer overflow vulnerability caused by an off-by-one error was found in glibc. It is possible that an attacker might use this to escalate his privileges or execute code.

Upstream patch:

http://git.savannah.gnu.org/cgit/gnulib.git/commit/?id=2d1bd71ec70a31b01d01b734faa66bb1ed28961f

Upstream issue:

https://sourceware.org/bugzilla/show_bug.cgi?id=22320

Comment 1 Andrej Nemec 2017-10-20 16:55:10 UTC
Created glibc tracking bugs for this issue:

Affects: fedora-all [bug 1504807]

Comment 6 errata-xmlrpc 2018-04-10 08:21:22 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:0805 https://access.redhat.com/errata/RHSA-2018:0805

Comment 7 errata-xmlrpc 2018-06-19 04:49:48 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2018:1879 https://access.redhat.com/errata/RHSA-2018:1879


Note You need to log in before you can comment on or make changes to this bug.